Package org.eclipse.cdt.core.settings.model.util

## Class UserAndDiscoveredEntryDataSerializer

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.CDataSerializer
  - - org.eclipse.cdt.core.settings.model.util.UserAndDiscoveredEntryDataSerializer

    public class UserAndDiscoveredEntryDataSerializer
    extends CDataSerializer

### Field Summary

Fields
`protected static String` `DISABLED_DISCOVERED_ENTRIES`
`protected static String` `KIND`
`protected static String` `VALUE`

### Fields inherited from class org.eclipse.cdt.core.settings.model.util.CDataSerializer

`BINARY_PARSERS, BUILD_DATA, CONTENT_TYPE_IDS, CWD, DELIMITER, DESCRIPTION, ERROR_PARSERS, EXTENSIONS, FILE_DATA, FOLDER_DATA, ID, LANGUAGE_DATA, LANGUAGE_ID, NAME, OUTPUT_ENTRIES, PATH, SETTING_ENTRIES, SOURCE_ENTRIES, SUPPORTED_ENTRY_KINDS, TARGET_PLATFORM_DATA`

### Constructor Summary

Constructors
`UserAndDiscoveredEntryDataSerializer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CDataSerializer` `getDefault()`
`protected void` `loadDisabledEntriesInfo​(UserAndDiscoveredEntryLanguageData lData, ICStorageElement el)`
`void` `loadEntries​(CLanguageData data, ICStorageElement el)`
`protected void` `storeDisabledEntriesInfo​(UserAndDiscoveredEntryLanguageData lData, ICStorageElement el)`
`void` `storeEntries​(CLanguageData data, ICStorageElement el)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.util.CDataSerializer

`loadBuildData, loadConfigurationData, loadFileData, loadFolderData, loadLanguageData, loadTargetPlatformData, store, store, store, store, store, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DISABLED_DISCOVERED_ENTRIES

    protected static final String DISABLED_DISCOVERED_ENTRIES

See Also:
  Constant Field Values

#### KIND

    protected static final String KIND

See Also:
  Constant Field Values

#### VALUE

    protected static final String VALUE

See Also:
  Constant Field Values

### Constructor Detail

#### UserAndDiscoveredEntryDataSerializer

    public UserAndDiscoveredEntryDataSerializer()

### Method Detail

#### getDefault

    public static CDataSerializer getDefault()

#### loadEntries

    public void loadEntries​(CLanguageData data,
                            ICStorageElement el)

Overrides:
  `loadEntries` in class `CDataSerializer`

#### loadDisabledEntriesInfo

    protected void loadDisabledEntriesInfo​(UserAndDiscoveredEntryLanguageData lData,
                                           ICStorageElement el)

#### storeEntries

    public void storeEntries​(CLanguageData data,
                             ICStorageElement el)

Overrides:
  `storeEntries` in class `CDataSerializer`

#### storeDisabledEntriesInfo

    protected void storeDisabledEntriesInfo​(UserAndDiscoveredEntryLanguageData lData,
                                            ICStorageElement el)